• 注册
  • WordPress后台-外观-小工具 进行配置小工具

    • 查看作者
    • php版本越高越好用吗 ?

      其实一直以来心中有个疑惑,PHP版本是不是越高越稳定,越高就越好呢?在一般情况下,版本越新越好,就拿wordpress来说在PHP7.0环境下比之前的版本速度提升在3倍左右。

      php版本越高越好用吗 ?

      目前PHP最高版本是7.x,然而我们一般使用的还是php5.3.x,甚至还有相当一部分使用的PHP5.2.X版本。

      从网站的发展来看,PHP版本能越高越好,毕竟新版本在各方面都有提升,比如PHP7.0很多人功能计算测试比5.X速度要提升3倍以上,但国内很多知名CMS都无法完美支持PHP7.0,很多的虚拟主机也只是支持5.2/5.3/5.4而已,导致7.0难以普及。

      主要还是很多程序都不支持新的PHP版本,特别是一些很久没有更新的程序,只支持PHP5.2.X系列版本,到底选择什么版本,还得取决于您使用的什么程序以及相应的模板,而不是盲目的追求过高的版本。

      如果要兼容更多的程序,建议使用PHP5.3.X版,如果要追求更高的性能,推荐PHP5.6.X甚至PHP7.0系列。

      目前wordpress程序很够非常完美的支持php7.0,然而部分没有更新的模板在7.0下有很多的问题。

      因此建议使用wordpress程序的伙伴在选择PHP7.0版本的时候特别要注意自己使用的模板以及插件是否兼容哦,如果是商业模板建议咨询作者,不要盲目的进行升级与替换。

      例如使用的是AMH5.2商业版,里面PHP版本可以自行下载各个版本,自行组合,由于模板等方面因素使用的是PHP5.6.19。

      所以在这里提醒各位不要盲目的追求过高的版本,根据自己程序最佳的PHP环境进行配置与选择哦,越新的版本,刚开始的BUG也是比较多,稳定性方面也可能打折扣的哦,老版本,毕竟经过了长时间的检验哦!

      美国 · 纽约
    • 0
    • 0
    • 0
    • 66
    • 请登录之后再进行评论

      登录
    • 做任务
    • 实时动态
    • 偏好设置
    • 返回顶部
    • 单栏布局 侧栏位置: